## org.apache.fop.messaging
Class MessageEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--org.apache.fop.messaging.MessageEvent

public class MessageEvent
extends java.util.EventObject

a container for the text and the type of a message MessageEvents are created by MessageHandler and can be received by any MessageListener, which is added to MessageHandler;

See Also:
  `MessageListener`, Serialized Form

Field Summary
`static int` `ERROR`
`static int` `LOG`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MessageEvent(java.lang.Object source)`

Method Summary
`java.lang.String` `getMessage()` retrieves the message
`int` `getMessageType()` returns the type of message as int

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### LOG

    public static final int LOG

### ERROR

    public static final int ERROR

Constructor Detail

### MessageEvent

    public MessageEvent(java.lang.Object source)

Method Detail

### getMessage

    public java.lang.String getMessage()

  retrieves the message
  Returns:
    String containing the message

### getMessageType

    public int getMessageType()

  returns the type of message as int
  Returns:
    messageType the type of the message as int in the form of MessageEvent.LOG or MessageEvent.ERROR

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.